import { Component } from 'vue-property-decorator';
import { ZdComponentRender } from '@zeedhi/vuetify';
import { QrCodeReader } from './QrCodeReader';

const VueQrCodeReader = require('vue-qrcode-reader');

const { QrcodeStream } = VueQrCodeReader;

@Component({
  components: { QrcodeStream },
})
export default class ZdQrCodeReader extends ZdComponentRender {
  public instance!: QrCodeReader;

  public instanceType: typeof QrCodeReader = QrCodeReader;

  public decode(decodeString: string) {
    this.instance.decode(decodeString, this.$el as HTMLElement);
  }
}
